Last modified: 2012-04-19 21:43:29 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20918 - NTOC : Sections with space at the end are not shown in TOC
NTOC : Sections with space at the end are not shown in TOC
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
PC Windows Vista
: Normal normal (vote)
: ---
Assigned To: Trevor Parscal
http://prototype.wikimedia.org/deploy...
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-10-01 07:04 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Calcey QA 2009-10-01 07:04:48 UTC
Reporting against build r57044 in staging environment (http://prototype.wikimedia.org/deployment/Main_Page)


Steps to reproduce ::
1) Start editing a new page 
2) Add a heading  "=== Level 3 ===" in the Edit area
<<Link appears in the NTOC as expected >>
3) Now introduce a space at the end of heading "=== Level 3 === "

<<The link disappear from NTOC>> 

Expected Outcome ::
Section/headings with spaces shall not be ignored in NTOC.
They shall be displayed 

This was reproducible in Firefox 3.5.3 too. 

Browser/Computer Properties :

Browser (User-Agent): 	Opera/9.80 (Windows NT 6.0; U; en) Presto/2.2.15 Version/10.00
Time and Date: 	4:29:50 PM - Wednesday, September 30, 2009
Javascript:	Enabled
Cookies Enabled:	Enabled 
Java Enabled:	Enabled 
CPU class/type:	? 
Screen Width x Height:	1280 x 800 
Screen Color Depth:	32 
Window Width:	591 (46.2% of 1280) 
Window Height:	353 (44.1% of 800)
Comment 1 Calcey QA 2009-10-01 08:01:12 UTC
This bug is valid, even the user enter a space at the beginning of heading " === Level 3 ==="
Comment 2 Roan Kattouw 2009-10-01 20:32:34 UTC
Fixed in r57211.

(In reply to comment #1)
> This bug is valid, even the user enter a space at the beginning of heading "
> === Level 3 ==="
> 

Headers with leading spaces are not valid, but are treated as preformatted text. Try entering a few headers with leading spaces and a few with trailing spaces and clicking Show Preview to see what I mean.
Comment 3 Calcey QA 2009-10-02 07:04:26 UTC
Verified and Passed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links